package com.qx.didi.controller;


import com.qx.didi.param.LoginParam;
import com.qx.didi.param.Token;
import com.qx.didi.util.ApiRuntimeException;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Locale;
import java.util.Map;

@Api(tags = {"登录"})
@RestController
@RequestMapping("/login")
public class LoginController {

    @ApiOperation(value = "登录")
    @PostMapping("/getToken")
    public Map<String, Object> getToken(@RequestBody LoginParam param) throws Exception {

        if (param != null && param.getPassword().toUpperCase(Locale.ROOT).equals("DD88A9")) {
            Map<String, Object> token = new HashMap<>();
            token.put("token",Token.TOKEN);
            return token;
        } else {
            throw new ApiRuntimeException(500, "验证失败");
        }
    }
}

