package com.qx.didi.mapper;

import com.qx.didi.dto.SohResultDto;
import com.qx.didi.entity.SohResult;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jek
 * @since 2021-11-05
 */
public interface SohResultMapper extends BaseMapper<SohResult> {

    @Select("select time_st as time, FLOOR(DATEDIFF(time_st,'2021-01-01')/7)+1 as weeks, AVG(soh) as soh from soh_result where device_id = #{sn} group by weeks order by weeks")
    List<SohResultDto> getSohResult(@Param("sn") String sn);
}
