package com.qx.didi.configure;

//import com.alibaba.druid.pool.DruidDataSource;
//import com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceBuilder;
//import com.alibaba.druid.support.http.StatViewServlet;
//import com.alibaba.druid.support.http.WebStatFilter;

import com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceBuilder;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import org.springframework.jdbc.core.JdbcTemplate;

import javax.sql.DataSource;

@Configuration
//@EnableTransactionManagement
public class DataSourceConfig {


    @Bean(name ="dbAli")
    @Qualifier("dbAli")
//    @ConfigurationProperties(prefix = "spring.datasource.qxcas")
    DataSource dbAli() {
        return DruidDataSourceBuilder.create().build();
    }

    @Primary
    @Bean(name="jdbcAli")
    JdbcTemplate jdbcAli(@Qualifier("dbAli") DataSource base) {
        return new JdbcTemplate(base);
    }
}
